[SOLVED] DspContainer don´t load DSP

Author: ablancouribe@compuamerica.com.ve (bioalexy)

Hi After installing the last ServicePack for 9.7.02 the Uniface Widgets stopped working on all my DSPs. Please help.

2 Comments

  1. I managed to fix the problem. The problem was with an error with the "PouchDB" object in the "uniface.js" So went to the last patch (G202) and extracted the the "uniface.js" file and replaced it with the new one. Problem Fixed. Regards.


    Author: bioalexy (ablancouribe@compuamerica.com.ve)
  2. Hi, Thank you for sharing this information. The described problem already has been recognized as:

    • BUG: 31404 - MG02 misses pouchdb.js and latest version uweb.def

    The proposed workaround is to:

    Copy pouchdb.js from an Uniface 9.7.03 installation: {unifaceinstall}\uniface\webapps\uniface\common\pouchdb.js {unifaceinstall}\common\bin\uweb.def The setting $uniface_runtime_base_url tells Uniface where to find runtime js used by Uniface. And the lab is currently working on this issue. [UPDATE] The BUG#31404 has been fixed in the meantime with the patch G301. Regards, Daniel Iseli Uniface Technical Support


    Author: diseli (daniel.iseli@uniface.com)